preload
Mar 10

siguiendo un poco con mi cruzada de compilar el tar.gz de la versión 0.99.3 de cherokee en mac y una vez que ya se me han bajado las Xcode de Apple… me vuelvo a encontrar parado… ahora la putada es que me falta php-cgi :///

pues tras instalar el package de Xcode todo bien, procedo a hacer el ./configure; make; sudo make install i lo instala todo en /usr/local/ , de forma que el cherokee-admin te queda en /usr/local/bin lo arrancas y por consola te dice el usuario y la contraseña con la que puedes entrar a administrar el servidor, pero claro en cuanto que le das a arrancar el servidor … cagada la hemos… se queja de lo siguiente:

Could not launch the server
Something happened while launching the server. The error reported by the server follows:
source_interpreter.c:290: ERROR: Couldn't find interpreter 'php-cgi -b /tmp/cherokee-php.socket'

por lo que tras buscar un rato en google encuentro el siguiente link y me las prometo muy felices… pero claro… como no, el sr. murphy hace aparición con su famosa y comprobadisima ley y el curl no funciona porque ya no está el archivo disponible…

pues nada, habrá que dejarlo de momento hasta que pueda encontrar la forma de instalar o tener disponible el comando php-cgi en mi leopard… una lástima, porque me he quedado a nada de tener el cherokee funcionando :___(

Related Posts:


FREE ROAMING FOR INTERNATIONAL CALLS!
Check out the best international Sim Cards and save up to 80% on your phone calls, go to roaming free sims and travelsim!


6 Responses to “cherokee leopard”

  1. Arbeat Says:

    hola!
    no se si aixo t’ajudarà, pero has mirat d’instalar el php-cgi via els darwin ports ?

    http://php5.darwinports.com/

  2. Angel Says:

    amf!

    que es ben bé això del darwinports? mi no entienda nada xD

    ja t’agafaré via gtalk i m’ho expliques, que veig que em queda moooolt i mooooooooooolt per aprendre del mon apple xD

  3. Arbeat Says:

    els darwinports o millor els macports.org son paquets opensource que podem trobar a les distros linux preparats per ser compilats i instalats facilemt

    un cop els tinguis instalat fas un

    sudo port -v selfupdate
    sudo port install php5

    i en questio de minuts ja tindras compilat i instalat el php5 !

  4. Angel Says:

    I això em cambiará la versió de php que tinc ara al leopard (i que em ve instal·lat de sèrie) per aquesta altra que em dius?

  5. Arbeat Says:

    ho instala tot a /opt/local i no t’ho ha de matxacar… pro jo no em faig responsable del que pugui passar xD

  6. Angel Says:

    prova-ho tu primer doncs xD

    ja m’ho miraré a veure… si ho instala a /opt/local tampoc será gaire problemàtic, tot tenint en compte que a mi a final de tot m’interessa el php-cgi… ho miraré… no se quan, però ho miraré ;)

Leave a Reply

*